package org.tbasket.handler

import org.tbasket.api.compute.APIRequestHandler
import zio.http.{Request, Response}

import java.util.concurrent.atomic.AtomicInteger

object IncrementHandler extends APIRequestHandler {

    private val i = new AtomicInteger(0)

    def getCounter: Int = i.get()

    override def get(request: Request): Response = {
        Response.json(s"{\"value\": $i}")
    }

    override def post(request: Request): Response = {
        i.incrementAndGet()
        println(s"Counter is now $i")
        Response.ok
    }
}
